Subject: Re: [PATCH 3/8] revert: Introduce a struct to parse command-line options into

From: Jonathan Nieder <[email-masked]>
Date: Fri, 13 May 2011 05:07:22 -0500

Ramkumar Ramachandra wrote:

> In my defense, I thought whitespace (indentation, style) changes were
> permitted as long as I'm making a functional change.  If this isn't
> the case, when can I correct the style/ indentation?

What I generally try to do is to only correct style and indentation
when it is making my life difficult (either in reading or writing the
code), through a separate commit that explains the improvement.  That
way, a person reading the diff for a functional change doesn't have to
be distracted by irrelevant changes.

Based on the advice he gives from time to time, Junio's policy seems
to be that trivial cosmetic cleanups should either be very compelling
or go at the start of a series that makes other changes to the same
section of code.